Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.events
Interface MutationNameEvent

All Superinterfaces:
  Event, MutationEvent

All Known Implementing Classes:
  DOMMutationNameEvent

    public interface MutationNameEvent

extends MutationEvent

The `MutationNameEvent` interface provides specific contextual information associated with Mutation name event types.

To create an instance of the `MutationNameEvent` interface, use the `Document.createEvent("MutationNameEvent")` method call.

See also the Document Object Model (DOM) Level 3 Events Specification .

Since:
  DOM Level 3

Field Summary

Fields inherited from interface org.w3c.dom.events.MutationEvent
`ADDITION, MODIFICATION, REMOVAL`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`String` | `getPrevNamespaceURI()` The previous value of the `relatedNode`'s `namespaceURI`.
`String` | `getPrevNodeName()` The previous value of the `relatedNode`'s `nodeName`.
`void` | `initMutationNameEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, Node relatedNodeArg, String prevNamespaceURIArg, String prevNodeNameArg)` The `initMutationNameEvent` method is used to initialize the value of a `MutationNameEvent` object and has the same behavior as `MutationEvent.initMutationEvent()`.
`void` | `initMutationNameEventNS(String namespaceURI, String typeArg, boolean canBubbleArg, boolean cancelableArg, Node relatedNodeArg, String prevNamespaceURIArg, String prevNodeNameArg)` The `initMutationNameEventNS` method is used to initialize the value of a `MutationNameEvent` object and has the same behavior as `MutationEvent.initMutationEventNS()`.

Methods inherited from interface org.w3c.dom.events.MutationEvent
`getAttrChange, getAttrName, getNewValue, getPrevValue, getRelatedNode, initMutationEvent, initMutationEventNS`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Method Detail

### getPrevNamespaceURI

    String getPrevNamespaceURI()

  The previous value of the `relatedNode`'s `namespaceURI`.

### getPrevNodeName

    String getPrevNodeName()

  The previous value of the `relatedNode`'s `nodeName`.

### initMutationNameEvent

    void initMutationNameEvent(String typeArg,
                               boolean canBubbleArg,
                               boolean cancelableArg,
                               Node relatedNodeArg,
                               String prevNamespaceURIArg,
                               String prevNodeNameArg)

  The `initMutationNameEvent` method is used to initialize the value of a `MutationNameEvent` object and has the same behavior as `MutationEvent.initMutationEvent()`.

  Parameters:
    `typeArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `cancelableArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `relatedNodeArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `prevNamespaceURIArg` - Specifies `MutationNameEvent.prevNamespaceURI`. This value may be `null`.
    `prevNodeNameArg` - Specifies `MutationNameEvent.prevNodeName`.
  Since:
    DOM Level 3

### initMutationNameEventNS

    void initMutationNameEventNS(String namespaceURI,
                                 String typeArg,
                                 boolean canBubbleArg,
                                 boolean cancelableArg,
                                 Node relatedNodeArg,
                                 String prevNamespaceURIArg,
                                 String prevNodeNameArg)

  The `initMutationNameEventNS` method is used to initialize the value of a `MutationNameEvent` object and has the same behavior as `MutationEvent.initMutationEventNS()`.

  Parameters:
    `namespaceURI` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `typeArg` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `cancelableArg` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `relatedNodeArg` - Refer to the `MutationEvent.initMutationEventNS()` method for a description of this parameter.
    `prevNamespaceURIArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
    `prevNodeNameArg` - Refer to the `MutationEvent.initMutationEvent()` method for a description of this parameter.
  Since:
    DOM Level 3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.